function proverkakoef(avg_request_time, avg_processing_time)
avg_request_time = 10
avg_processing_time = 10
	n = 1000;
	
	% генераторы псевдослучайных чисел.
	e_request 	 = mult_generator(1234567, n);
	e_processing = mult_generator(654321, n);
	
	% генераторы значений времени поступления и обработки заявок
	request_time 	= exp_generator(e_request, n, avg_request_time);
	processing_time = exp_generator(e_processing, n, avg_processing_time);

	% оценочное матожидание
	%mx_request	  = val_mx(n, request_time);
	%mx_processing = val_mx(n, processing_time);
    
    mx = 0;
	for i=1:1:n
		mx = mx + request_time(i);
	end;
	
	mx_request = mx / n;
    
    mx = 0;
	for i=1:1:n
		mx = mx + processing_time(i);
	end;
	
	mx_processing = mx / n;
    
	
	% oценочная дисперсия
	%dx_request	  = val_dx(n, request_time, mx_request);
	%dx_processing = val_dx(n, processing_time, mx_processing);
    
    
    dx = 0;
	for i=1:1:n
		dx=dx + ((request_time(i) - mx_request)^2);      
	end;

	dx_request = dx / (n-1);
    
        dx = 0;
	for i=1:1:n
		dx=dx + ((processing_time(i) - mx_processing)^2);      
	end;

	dx_processing = dx / (n-1);
	
	% доверительные интервалы
	request_ci_1 = mx_request - (1.96 * dx_request / n^0.5);
	request_ci_2 = mx_request + (1.96 * dx_request / n^0.5);
	
	processing_ci_1 = mx_processing - (1.96 * dx_processing / n^0.5);
	processing_ci_2 = mx_processing + (1.96 * dx_processing / n^0.5);
	
    % вывод на экран
    fprintf('\nдля времемени поступления заявки:\n'); 
	fprintf('оценочное матожидание = %f \n', mx_request);
	fprintf('оценочная дисперсия = %f \n', dx_request);
	fprintf('доверительный интервал = %f - %f \n', request_ci_1, request_ci_2);

	fprintf('\nдля времемени обработки заявки:\n'); 
	fprintf('оценочное матожидание = %f \n', mx_processing);
	fprintf('оценочная дисперсия = %f \n', dx_processing);
	fprintf('доверительный интервал = %f - %f \n', processing_ci_1, processing_ci_2);
    
	% коэффициент корреляции
	pj_request	  = kor_koef (n, request_time, mx_request, dx_request);
	pj_processing = kor_koef (n, processing_time, mx_processing, dx_processing);
	
	% графики
    figure('Name', 'Корреляцияция вемени поступления заявки');
	for i=1:1:30
        plot(i,pj_request(i),'*');
        hold on;
    end;
	
	figure('Name', 'Зависимость x(i+1) от x(i) для вемени поступления заявки')
	for i=1:300
		plot(request_time(i), request_time (i+1),'.');
		hold on;
	end;
	
    
    figure('Name', 'Корреляцияция вемени обработки заявки');
    for i=1:1:30
        plot(i,pj_processing(i),'*');
        hold on;
    end; 
	
	figure('Name', 'Зависимость x(i+1) от x(i) для вемени обработки заявки')
	for i=1:300
		plot(processing_time(i), processing_time (i+1),'.');
		hold on;
	end;
	
	% интервалы для гистограммы
	m=100;
	
	max_art     = max(request_time);
	min_art     = min(request_time);
	art_cint(1) = (max_art - min_art) / m;
	
	for i=1:1:m
		art_cint(i + 1) = art_cint(i) + art_cint(1);
	end;
	
	max_apt     = max(processing_time);
	min_apt     = min(processing_time);
	apt_cint(1) = (max_apt - min_apt) / m;
	
	for i=1:1:m
		apt_cint(i + 1) = apt_cint(i) + apt_cint(1);
	end;
	
	% построение гистограмм
	art_count = histc(request_time, art_cint);
	apt_count = histc(processing_time, apt_cint);
	
	for i=1:1:m
		art_exp(i) = art_count(1,i);
		apt_exp(i) = apt_count(1,i);
	
		art_hy(i) = art_count(1,i) / art_cint(1) / n;
		apt_hy(i) = apt_count(1,i) / apt_cint(1) / n;
	end;
	
	art_graph = 1 / avg_request_time * exp(-art_exp(1) / avg_request_time);
	apt_graph = 1 / avg_processing_time * exp(-apt_exp(1) / avg_processing_time);
	for i=2:1:m
		art_y = (1 / avg_request_time) * exp(-art_exp(i) / avg_request_time);
		art_graph = [art_graph art_y];
		
		apt_y = (1 / avg_processing_time) * exp(-apt_exp(i) / avg_processing_time);
		apt_graph = [apt_graph apt_y];
	end;
	
	
	figure('Name','Гистограмма для вемени поступления заявки');
	bar(art_hy, 1);
	hold on;
	plot(art_exp, art_graph, 'g:.');
		
	
	figure('Name','Гистограмма для вемени обработки заявки');
	bar(apt_hy, 1);
	hold on;
	plot(apt_exp, apt_graph, 'g:.');